GNUNET-AUTO-SHARE(1)

NAME
gnunet-auto-share - a command line tool to automatically share an entire directory with other users

SYNOPSIS
gnunet-auto-share [-a LEVEL | --anonymity=LEVEL] [-c FILENAME | --config=FILENAME] [-D | --disable-extractor] [-d | --disable-creation-time] [-h | --help] [-L LOGLEVEL | --loglevel=LOGLEVEL] [-l FILENAME | --logfile=FILENAME] [-p PRIORITY | --prio=PRIORITY] [-r LEVEL | --replication=LEVEL] [-V | --verbose] [-v | --version] <DIRNAME>

DESCRIPTION
In order to share files with other GNUnet users, the files must first be made available to GNUnet. This tool can be used to automatically share all files from a certain directory. The program will periodically scan the directory for changes and publish files that are new or that changed on GNUnet. Which files have already been shared is remembered in a .auto-share file in the shared directory. You can run the tool by hand or automatically by adding the respective options to your configuration. gnunet-auto-share has many options in common with gnunet-publish, but can only be used to index files.

You can use automatic meta-data extraction (based on libextractor). The options are as follows:

-a LEVEL | --anonymity=LEVEL
    This option can be used to specify additional anonymity constraints. The default is 1. If set to 0, GNUnet will publish the file non-anonymously and in fact sign the advertisement for the file using your peer's private key. This will allow other users to download the file as fast as possible, including using non-anonymous methods (discovery via DHT and CADET transfer). If you set it to 1 (default), you use the standard anonymous routing algorithm (which does not explicitly leak your identity). However, a powerful adversary may still be able to perform traffic analysis (statistics) to over time discovery your identity. You can gain better privacy by specifying a higher level of anonymity (using values above 1). This tells FS that it must hide your own requests in equivalent-looking cover traffic. This should confound an adversaries traffic analysis, increasing the time and effort it would take to discover your identity. However, it also can significantly reduce performance, as your requests will be delayed until sufficient cover traffic is available. The specific numeric value (for anonymity levels above 1) is simple: Given an anonymity level L (above 1), each request FS makes on your behalf must be hidden in L-1 equivalent requests of cover traffic (traffic your peer routes for others) in the same time-period. The time-period is twice the average delay by which GNUnet artificially delays traffic. Note that regardless of the anonymity level you choose, peers that cache content in the network always use anonymity level 1.

-c FILENAME | --config=FILENAME
    Use alternate config file (if this option is not specified, the default is ~/.config/gnunet.conf).

-D | --disable-extractor
    Disable use of GNU libextractor for finding additional keywords and metadata.

-d | --disable-creation-time
    Disable adding the creation time to the metadata of the uploaded file.

-h | --help
    Print a brief help page with all the options.

-L LOGLEVEL | --loglevel=LOGLEVEL
    Change the loglevel. Possible values for LOGLEVEL are ERROR, WARNING, INFO and DEBUG.

-l FILENAME | --logfile=FILENAME
    Configure logging to write logs to FILENAME.

-p PRIORITY | --prio=PRIORITY
    Executive summary: You probably don't need it. Set the priority of the published content (default: 365). If the local database is full, GNUnet will discard the content with the lowest ranking. Note that ranks change over time depending on popularity. The default should be high enough to preserve the locally published content in favor of content that migrates from other peers.

-r LEVEL | --replication=LEVEL
    Set the desired replication level. If CONTENT_PUSHING is set to YES, GNUnet will push each block (for the file) LEVEL times to other peers before doing normal "random" replication of all content. This option can be used to push some content out into the network harder. Note that pushing content LEVEL times into the network does not guarantee that there will actually be LEVEL replicas.

-V | --verbose
    Be verbose. Using this option causes gnunet-publish to print progress information and at the end the file identification that can be used to download the file from GNUnet.

-v | --version
    Print the version number.

EXAMPLES

  Basic example
$ gnunet-auto-share $HOME/gnunet-share/ &

Share a directory $HOME/gnunet-share/

  Basic configuration
$ Share a directory $HOME/gnunet-share/

    [gnunet-auto-share]
    OPTIONS = $HOME/gnunet-share
    IMMEDIATE_START = YES # start this service when the peer starts

FILES
~/.config/gnunet.conf GNUnet configuration file

SEE ALSO
extract(1), gnunet-download(1), gnunet-fs-gtk(1), gnunet-publish(1), gnunet-search(1), gnunet.conf(5)

The full documentation for gnunet is maintained as a Texinfo manual. If the info(1) and gnunet programs are properly installed at your site, the command

    info gnunet

should give you access to the complete handbook,

    info gnunet-c-tutorial

will give you access to a tutorial for developers.

Depending on your installation, this information is also available in gnunet(7) and gnunet-c-tutorial(7).

BUGS
Report bugs by using https://bugs.gnunet.org or by sending electronic mail to <gnunet-developers@gnu.org>.